Subject: Re: Job | Project ,Manager remote screening
From: PREM RAJ M <[email-masked]>
To: [email-masked]
Date: Tue, 16 Feb 2021 07:57:43 +0530

Not able to view Details? Learn More

Job Title
Job | Project ,Manager remote screening

569 Applicants

View All

PREM RAJ M
Having 6years experience I have developed myself to a perfect shape in terms of operation. People management and Process execution I can be very confident that I'm stronger. Eager to learn and taking challenges as obstacles to reach goal is my motive. Working along with and for people is my nature of work.

Shortlist

Reject

Current Designation Team Leader
Current Company Tech Mahindra
Notice Period Currenlty serving notice period
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
6 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Bengaluru / Bangalore, Chennai, Coimbatore
Education
MCA
Anna University
B.Tech/B.E.
Adhiyamaan College of Engineering, Hosur
Key Skills
Team Leader Operations, BPO, People Management, Team Handling, Outbound Process, Inbound, Planning, Escalations, Data Analysis, Customer Satisfaction, Customer Service, Team Coaching, Shrinkage Control, Real Time Analysis, Call Center, Retention, Attrition Control

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem